View Issue Details

IDProjectCategoryView StatusLast Update
12653Feature requests[All Projects] User/User groupspublic2018-05-22 15:04
Reporterhstiekema Assigned Todominikvitt  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary12653: Search users
Description

Please add functionality to search for users. Now the default is to show 10, which is not enough for all users in my limesurvey instance. I know i can show more on one page, but a search-feature would be much more convenient.

TagsNo tags attached.

Activities

blocka

blocka

2017-09-13 18:45

reporter   ~44423

I put in a vote for this too. It would be useful, especially in cases where schools use LS, and we have many users -- it would make it much easier to find a specific user if there was a filter available (like we have for surveys).

segui

segui

2017-09-27 18:19

reporter   ~44502

I second this request. It's tagged as a feature request, but I think it's critical to add it. The way it is now greatly affects usability for administrators, when the amount of users is greater than 100. I certainly feel the lack of it in my day-to-day work administering our instance with 564 user accounts.

LouisGac

LouisGac

2018-05-16 11:23

manager   ~47601

that should be easy and fast to do.

guest

guest

2018-05-18 18:14

viewer   ~47689

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27181

Related Changesets

LimeSurvey: master 3e80ce7e

2018-05-18 18:13:52

Dominik Vitt

Details Diff
Fixed issue 12653: Search users Affected Issues
12653
mod - application/controllers/admin/useraction.php Diff File
mod - application/models/User.php Diff File
mod - application/views/admin/user/editusers.php Diff File

Issue History

Date Modified Username Field Change
2017-09-07 11:40 hstiekema New Issue
2017-09-13 18:45 blocka Note Added: 44423
2017-09-27 18:19 segui Note Added: 44502
2017-10-23 10:54 LouisGac Assigned To => LouisGac
2017-10-23 10:54 LouisGac Status new => assigned
2018-05-16 11:23 LouisGac Assigned To LouisGac => dominikvitt
2018-05-16 11:23 LouisGac Note Added: 47601
2018-05-18 18:14 Changeset attached => LimeSurvey master 3e80ce7e
2018-05-18 18:14 guest Note Added: 47689
2018-05-18 18:14 guest Resolution open => fixed
2018-05-18 18:15 dominikvitt Status assigned => resolved
2018-05-18 18:15 dominikvitt Fixed in Version => 3.0
2018-05-22 15:04 ollehar Status resolved => closed